From: Namhyung Kim <namhyung@kernel.org>
To: Arnaldo Carvalho de Melo <acme@kernel.org>, Jiri Olsa <jolsa@kernel.org>
Cc: Ingo Molnar <mingo@kernel.org>,
Peter Zijlstra <peterz@infradead.org>,
LKML <linux-kernel@vger.kernel.org>,
Ian Rogers <irogers@google.com>,
linux-perf-users@vger.kernel.org,
Adrian Hunter <adrian.hunter@intel.com>
Subject: [PATCH 4/6] perf test: Add system-wide mode in perf record tests
Date: Tue, 6 Sep 2022 23:46:43 -0700 [thread overview]
Message-ID: <20220907064645.1197894-5-namhyung@kernel.org> (raw)
In-Reply-To: <20220907064645.1197894-1-namhyung@kernel.org>
Add system wide recording test with the same pattern. It'd skip the
test when it failes to run perf record. For system-wide mode, it needs
to avoid build-id collection and synthesis because the test only cares
about the test program and kernel would generates necessary events as
the process starts.
Signed-off-by: Namhyung Kim <namhyung@kernel.org>
---
tools/perf/tests/shell/record.sh | 34 ++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index 3331fb092654..bd4ef60948bd 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -134,10 +134,44 @@ test_register_capture() {
echo "Register capture test [Success]"
}
+test_system_wide() {
+ echo "Basic --system-wide mode test"
+ if ! perf record -aB --synth=no ${testopt} -o ${perfdata} ${testprog} 2> /dev/null
+ then
+ echo "System-wide record [Skipped not supported]"
+ if [ $err -ne 1 ]
+ then
+ err=2
+ fi
+ return
+ fi
+ if ! perf report -i ${perfdata} -q | egrep -q ${testsym}
+ then
+ echo "System-wide record [Failed missing output]"
+ err=1
+ return
+ fi
+ if ! perf record -aB --synth=no -e cpu-clock,cs --threads=cpu ${testopt} \
+ -o ${perfdata} ${testprog} 2> /dev/null
+ then
+ echo "System-wide test [Failed recording with threads]"
+ err=1
+ return
+ fi
+ if ! perf report -i ${perfdata} -q | egrep -q ${testsym}
+ then
+ echo "System-wide record [Failed missing output]"
+ err=1
+ return
+ fi
+ echo "Basic --system-wide mode test [Success]"
+}
+
build_test_program
test_per_thread
test_register_capture
+test_system_wide
cleanup
exit $err
--
2.37.2.789.g6183377224-goog
next prev parent reply other threads:[~2022-09-07 6:47 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-07 6:46 [PATCHSET 0/6] perf test: Improve perf record tests (v1) Namhyung Kim
2022-09-07 6:46 ` [PATCH 1/6] perf test: Do not use instructions:u explicitly Namhyung Kim
2022-09-07 7:56 ` Adrian Hunter
2022-09-07 6:46 ` [PATCH 2/6] perf test: Use a test program in perf record tests Namhyung Kim
2022-09-07 10:44 ` Adrian Hunter
2022-09-07 17:38 ` Namhyung Kim
2022-09-07 13:16 ` Adrian Hunter
2022-09-07 13:24 ` Adrian Hunter
2022-09-07 17:40 ` Namhyung Kim
2022-09-07 6:46 ` [PATCH 3/6] perf test: Test record with --threads option Namhyung Kim
2022-09-07 13:33 ` Adrian Hunter
2022-09-07 17:41 ` Namhyung Kim
2022-09-07 6:46 ` Namhyung Kim [this message]
2022-09-07 15:20 ` [PATCH 4/6] perf test: Add system-wide mode in perf record tests Adrian Hunter
2022-09-07 6:46 ` [PATCH 5/6] perf test: Add target workload test " Namhyung Kim
2022-09-13 11:03 ` Adrian Hunter
2022-09-13 17:28 ` Namhyung Kim
2022-09-07 6:46 ` [PATCH 6/6] perf test: Do not set TEST_SKIP for record subtests Namhyung Kim
2022-09-13 11:28 ` Adrian Hunter
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20220907064645.1197894-5-namhyung@kernel.org \
--to=namhyung@kernel.org \
--cc=acme@kernel.org \
--cc=adrian.hunter@intel.com \
--cc=irogers@google.com \
--cc=jolsa@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-perf-users@vger.kernel.org \
--cc=mingo@kernel.org \
--cc=peterz@infradead.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®